> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Detail

> Retrieve detailed information about a specific job



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/job/detail
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/job/detail:
    get:
      tags:
        - Job
      summary: Get Job Detail
      description: Retrieve detailed information about a specific job
      operationId: getApiV1JobDetail
      parameters:
        - in: query
          name: job_id
          schema:
            type: string
            pattern: ^\d+$
            description: Unique identifier for the job
            example: '4170461460'
          required: true
        - in: query
          name: include_skills
          schema:
            type: boolean
            description: >-
              Include job skills in the response. Enabling this option will
              consume an additional 1 request.
            default: false
            example: false
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the job
                        example: '4172815660'
                      title:
                        type: string
                        description: Title of the job position
                        example: Data Center Engineer
                      description:
                        type: string
                        description: Detailed description of the job
                        example: Core Infrastructure EngineerHybrid - Data Center...
                      job_url:
                        type: string
                        description: URL to the job posting
                        example: https://www.linkedin.com/jobs/view/4172815660
                      location:
                        type: string
                        description: Location of the job
                        example: Herndon, VA
                      location_geocode:
                        type: string
                        description: >-
                          Geocode of the job location. Use Search Geocode
                          Location endpoint to get geocode from location string
                        example: '104624893'
                      country_code:
                        type: string
                        description: Country code of the job location
                        example: US
                      state:
                        type: string
                        description: Current state of the job listing
                        example: LISTED
                      level:
                        type: string
                        description: Experience level required for the job
                        example: Mid-Senior level
                      employment_status:
                        type: string
                        description: Employment status of the job
                        example: Full-time
                      new:
                        type: boolean
                        description: Indicates if the job is new
                        example: true
                      views:
                        type: number
                        description: Number of views the job posting has received
                        example: 13
                      applies:
                        type: number
                        description: Number of applications received for the job
                        example: 3
                      salary:
                        type: object
                        properties:
                          max_salary:
                            type: string
                            description: Maximum salary offered for the job
                            example: '100000.0'
                          min_salary:
                            type: string
                            description: Minimum salary offered for the job
                            example: '100000.0'
                          currency:
                            type: string
                            description: Currency of the salary
                            example: USD
                          pay_period:
                            type: string
                            description: Pay period for the salary (e.g., yearly, monthly)
                            example: YEARLY
                          salary_exists:
                            type: boolean
                            description: Indicates if salary information is available
                            example: true
                      company_apply_url:
                        type: string
                        description: URL to apply for the job on the company website
                        example: ''
                      work_remote_allowed:
                        type: boolean
                        description: Indicates if remote work is allowed for the job
                        example: false
                      job_limit_reached:
                        type: boolean
                        description: >-
                          Indicates if the job application limit has been
                          reached
                        example: false
                      original_listed_at:
                        type: string
                        description: Original date and time when the job was listed
                        example: '2025-03-04T14:56:19.000Z'
                      listed_at:
                        type: string
                        description: Date and time when the job was listed
                        example: '2025-03-04T14:56:19.000Z'
                      expire_at:
                        type: string
                        description: Date and time when the job listing will expire
                        example: '2025-04-03T14:56:18.000Z'
                      industries:
                        type: array
                        items:
                          type: string
                        description: Industries related to the job
                        example:
                          - IT Services and IT Consulting
                      job_functions:
                        type: array
                        items:
                          type: string
                        description: Job functions related to the job
                        example:
                          - Information Technology
                      benefits:
                        type: array
                        items:
                          type: string
                        description: Benefits offered with the job
                        example:
                          - Health insurance
                          - 401(k)
                      workplace_types:
                        type: array
                        items:
                          type: string
                        description: >-
                          Types of workplace environments (e.g., on-site,
                          remote)
                        example:
                          - On-site
                      source_domain:
                        type: string
                        description: Domain from which the job was sourced
                        example: linkedin.com
                      third_party_sourced:
                        type: boolean
                        description: Indicates if the job was sourced from a third party
                        example: false
                      company:
                        type: object
                        properties:
                          id:
                            type: string
                            description: Unique identifier for the company
                            example: '86687933'
                          name:
                            type: string
                            description: Name of the company
                            example: Stelvio Group
                          universal_name:
                            type: string
                            description: Universal name of the company
                            example: stelvio-group
                          url:
                            type: string
                            description: LinkedIn URL of the company
                            example: https://www.linkedin.com/company/stelvio-group
                          description:
                            type: string
                            description: Description of the company
                            example: >-
                              Matching talented people with innovative companies
                              across the US...
                          follower_count:
                            type: number
                            description: Number of followers the company has on LinkedIn
                            example: 52934
                          staff_count:
                            type: number
                            description: Number of staff members in the company
                            example: 21
                          staff_range:
                            type: object
                            properties:
                              start:
                                type: number
                                description: Starting range of staff count
                                example: 11
                              end:
                                type: number
                                description: Ending range of staff count
                                example: 50
                          headquarter:
                            type: object
                            properties:
                              country:
                                type: string
                                description: Country
                                example: United States
                              country_code:
                                type: string
                                description: Country code
                                example: US
                              city:
                                type: string
                                description: City
                                example: Austin
                              geographic_area:
                                type: string
                                description: Geographic area
                                example: Texas
                              line1:
                                type: string
                                description: Line 1
                                example: 111 Congress Ave
                              line2:
                                type: string
                                description: Line 2
                                example: 111 Congress Ave
                              postal_code:
                                type: string
                                description: Postal code
                                example: '78701'
                            description: Headquarter address of the company
                          specialities:
                            type: array
                            items:
                              type: string
                            description: Specialities of the company
                            example:
                              - Legacy IT
                              - Software
                              - Project Management
                              - ...
                          industries:
                            type: array
                            items:
                              type: string
                            description: Industries the company operates in
                            example:
                              - Staffing and Recruiting
                          logo:
                            type: array
                            items:
                              type: object
                              properties:
                                width:
                                  type: number
                                  description: Logo width
                                  example: 400
                                height:
                                  type: number
                                  description: Logo height
                                  example: 400
                                url:
                                  type: string
                                  description: Logo URL
                                  example: >-
                                    https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                expires_at:
                                  type: number
                                  description: Logo expires at
                                  example: 1748476800000
                            description: Logo images of the company
                          cover:
                            type: array
                            items:
                              type: object
                              properties:
                                width:
                                  type: number
                                  description: Cover width
                                  example: 1128
                                height:
                                  type: number
                                  description: Cover height
                                  example: 191
                                url:
                                  type: string
                                  description: Cover URL
                                  example: >-
                                    https://media.licdn.com/dms/image/v2/D4E3DAQE7GzWAY8oQqw/image-scale_191_1128/image-scale_191_1128/0/1673607409141/stelvio_group_cover?e=1743404400&v=beta&t=SVZsPNKFMAMIKIlgUgJ8NXFkS_9-GL2StdBztrq52vs
                                expires_at:
                                  type: number
                                  description: Cover expires at
                                  example: 1748476800000
                            description: Background cover images of the company
                        required:
                          - headquarter
                      skills:
                        type: array
                        items:
                          type: string
                        description: Skills required for the job
                        example:
                          - Amazon Web Services (AWS)
                          - Apache Spark
                          - C++
                          - Computer Science
                          - Distributed Systems
                          - Java
                          - Kubernetes
                          - Machine Learning
                          - Object-Oriented Programming (OOP)
                          - Python (Programming Language)
                    required:
                      - id
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````